Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.basic
Class CharConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.basic.CharConverter

All Implemented Interfaces:
  Converter, ConverterMatcher, SingleValueConverter

    public class CharConverter

extends Object
implements Converter, SingleValueConverter

Converts a char primitive or java.lang.Character wrapper to a String. If char is \0 the representing String is empty.

Author:
  Joe Walnes, Jörg Schaible

Constructor Summary
`CharConverter()`

Method Summary
`boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.
`Object` | `fromString(String str)` Unmarshals an Object from its single value representation.
`void` | `marshal(Object source, HierarchicalStreamWriter writer, MarshallingContext context)` Convert an object to textual data.
`String` | `toString(Object obj)` Marshals an Object into a single value representation.
`Object` | `unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)` Convert textual data back into an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharConverter

    public CharConverter()

Method Detail

### canConvert

    public boolean canConvert(Class type)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Specified by:
    `canConvert` in interface `ConverterMatcher`
  Parameters:
    `type` - the Class representing the object type to be converted

### marshal

    public void marshal(Object source,
                        HierarchicalStreamWriter writer,
                        MarshallingContext context)

  Description copied from interface: `Converter`
  Convert an object to textual data.

  Specified by:
    `marshal` in interface `Converter`
  Parameters:
    `source` - The object to be marshalled.
    `writer` - A stream to write to.
    `context` - A context that allows nested objects to be processed by XStream.

### unmarshal

    public Object unmarshal(HierarchicalStreamReader reader,
                            UnmarshallingContext context)

  Description copied from interface: `Converter`
  Convert textual data back into an object.

  Specified by:
    `unmarshal` in interface `Converter`
  Parameters:
    `reader` - The stream to read the text from.
  Returns:
    The resulting object.

### fromString

    public Object fromString(String str)

  Description copied from interface: `SingleValueConverter`
  Unmarshals an Object from its single value representation.

  Specified by:
    `fromString` in interface `SingleValueConverter`
  Parameters:
    `str` - the String with the single value of the Object
  Returns:
    the Object

### toString

    public String toString(Object obj)

  Description copied from interface: `SingleValueConverter`
  Marshals an Object into a single value representation.

  Specified by:
    `toString` in interface `SingleValueConverter`
  Parameters:
    `obj` - the Object to be converted
  Returns:
    a String with the single value of the Object or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.